# Hybrid Profile Definition - Azure Stack 1807 and Azure Cloud

> see https://aka.ms/autorest

Profile definition targeted for hybrid applications that could run on azure stack 1808 version and azure cloud.

``` yaml
profiles:
  hybrid-2018-03-01:
    resources:
      microsoft.authorization:
        '2016-09-01':
          - locks
        '2015-07-01':
          - operations
          - permissions
          - roleAssignments
          - roleDefinitions
        '2016-12-01':
          - policyAssignments
          - policyDefinitions
      microsoft.compute:
        '2017-03-30':
          - availabilitySets
          - locations
          - disks
          - diskoperations
          - locations/diskoperations
          - locations/publishers
          - locations/operations
          - locations/usages
          - locations/vmSizes
          - operations
          - snapshots
          - virtualMachines
          - virtualMachines/extensions
          - virtualMachineScaleSets
          - virtualMachineScaleSets/extensions
          - virtualMachineScaleSets/networkInterfaces
          - virtualMachineScaleSets/virtualMachines
          - virtualMachineScaleSets/virtualMachines/networkInterfaces
      microsoft.keyvault:
        '2016-10-01':
          - operations
          - vaults
          - vaults/accessPolicies
          - vaults/secrets
      microsoft.network:
        '2017-10-01':
          - connections
          - loadBalancers
          - localNetworkGateways
          - locations
          - locations/operationResults
          - locations/operations
          - locations/usages
          - networkInterfaces
          - networkSecurityGroups
          - operations
          - publicIpAddresses
          - routeTables
          - virtualNetworkGateways
          - virtualNetworks
        '2016-04-01':
          - dnsZones
      microsoft.resources:
        '2016-06-01':
          - subscriptions
          - subscriptions/locations
          - tenants
        '2018-02-01':
          - deployments
          - deployments/operations
          - links
          - locations
          - operations
          - providers
          - resourceGroups
          - resources
          - subscriptions/operationresults
          - subscriptions/providers
          - subscriptions/resourceGroups
          - subscriptions/resourceGroups/resources
          - subscriptions/resources
          - subscriptions/tagNames
          - subscriptions/tagNames/tagValues
      microsoft.storage:
        '2016-01-01':
          - checkNameAvailability
          - locations
          - locations/quotas
          - operations
          - storageAccounts
          - usages
      microsoft.web:
        '2016-03-01':
          - certificates
          - deploymentLocations
          - georegions
          - operations
          - recommendations
          - runtimes
          - validate
        '2016-08-01':
          - availableStacks
          - checknameavailability
          - ishostnameavailable
          - isusernameavailable
          - metadata
          - publishingUsers
          - sourceControls
          - sites
          - sites/domainOwnershipIdentifiers
          - sites/extensions
          - sites/hostNameBindings
          - sites/instances
          - sites/instances/extensions
          - sites/metrics
          - sites/metricDefinitions
          - sites/recommendations
          - sites/slots
          - sites/slots/extensions
          - sites/slots/hostNameBindings
          - sites/slots/instances
          - sites/slots/instances/extensions
          - sites/slots/metrics
          - sites/slots/metricDefinitions
        '2016-09-01':
          - serverFarms
          - serverFarms/metrics
          - serverFarms/metricDefinitions
          - serverFarms/usages
    operations: {}
```