# DesktopVirtualization

> see https://aka.ms/autorest

This is the AutoRest configuration file for Desktop Virtualization.

---

## Getting Started

To build the SDK for DesktopVirtualizationClient, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

### Basic Information

These are the global settings for the DesktopVirtualizationClient API.

``` yaml
openapi-type: arm
tag: package-preview-2021-09
```


### Tag: package-preview-2021-09

These settings apply only when `--tag=package-preview-2021-09` is specified on the command line.

```yaml $(tag) == 'package-preview-2021-09'
input-file:
  - Microsoft.DesktopVirtualization/preview/2021-09-03-preview/desktopvirtualization.json
```
### Tag: package-2021-07

These settings apply only when `--tag=package-2021-07` is specified on the command line.

``` yaml $(tag) == 'package-2021-07'
input-file:
  - Microsoft.DesktopVirtualization/stable/2021-07-12/desktopvirtualization.json
```

### Tag: package-2019-01-23-preview

These settings apply only when `--tag=package-2019-01-23-preview` is specified on the command line.

``` yaml $(tag) == 'package-2019-01-23-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2019-01-23-preview/desktopvirtualization.json
```

### Tag: package-2019-09-24-preview

These settings apply only when `--tag=package-2019-09-24-preview` is specified on the command line.

``` yaml $(tag) == 'package-2019-09-24-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2019-09-24-preview/desktopvirtualization.json
```

### Tag: package-2019-12-10-preview

These settings apply only when `--tag=package-2019-12-10-preview` is specified on the command line.

``` yaml $(tag) == 'package-2019-12-10-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2019-12-10-preview/desktopvirtualization.json
```

### Tag: package-2020-09-21-preview

These settings apply only when `--tag=package-2020-09-21-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-09-21-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2020-09-21-preview/desktopvirtualization.json
```

### Tag: package-2020-10-19-preview

These settings apply only when `--tag=package-2020-10-19-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-10-19-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2020-10-19-preview/desktopvirtualization.json
```

### Tag: package-2020-11-02-preview

These settings apply only when `--tag=package-2020-11-02-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-11-02-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2020-11-02-preview/desktopvirtualization.json
```

### Tag: package-2020-11-10-preview

``` yaml $(tag) == 'package-2020-11-10-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2020-11-10-preview/desktopvirtualization.json
```

### Tag: package-2021-01-14-preview

``` yaml $(tag) == 'package-2021-01-14-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2021-01-14-preview/desktopvirtualization.json
```

### Tag: package-2021-02-01-preview

``` yaml $(tag) == 'package-2021-02-01-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2021-02-01-preview/desktopvirtualization.json
```

### Tag: package-2021-03-09-preview

``` yaml $(tag) == 'package-2021-03-09-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2021-03-09-preview/desktopvirtualization.json
```

### Tag: package-2021-04-01-preview

``` yaml $(tag) == 'package-2021-04-01-preview'
input-file:
- Microsoft.DesktopVirtualization/preview/2021-04-01-preview/desktopvirtualization.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-powershell
  - repo: azure-sdk-for-csharp
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_desktop_virtualization']
  - repo: azure-cli-extensions
  - repo: azure-resource-manager-schemas
```

## C#

See configuration in [readme.csharp.md](./readme.csharp.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## Java

See configuration in [readme.java.md](./readme.java.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## Node

See configuration in [readme.node.md](./readme.node.md)

## Ruby

See configuration in [readme.ruby.md](./readme.ruby.md)

