
# KubernetesConnect

> see https://aka.ms/autorest

This is the AutoRest configuration file for hybrid kubernetes.

## Getting Started

To build the SDKs for Connected Cluster API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for the Kubernetes Connect RP.

```yaml
openapi-type: arm
openapi-subtype: rpaas
tag: package-2021-10-01
```

### Tag: package-2020-01-01-preview

These settings apply only when `--tag=package-2020-01-01-preview` is specified on the command line.

```yaml $(tag) == 'package-2020-01-01-preview'
input-file:
- Microsoft.Kubernetes/preview/2020-01-01-preview/connectedClusters.json
```
### Tag: package-2021-04-01-preview

These settings apply only when `--tag=package-2021-04-01-preview` is specified on the command line.

```yaml $(tag) == 'package-2021-04-01-preview'
input-file:
- Microsoft.Kubernetes/preview/2021-04-01-preview/connectedClusters.json
```
### Tag: package-2021-03-01

These settings apply only when `--tag=package-2021-03-01` is specified on the command line.

```yaml $(tag) == 'package-2021-03-01'
input-file:
- Microsoft.Kubernetes/stable/2021-03-01/connectedClusters.json
```
### Tag: package-2021-10-01

These settings apply only when `--tag=package-2021-10-01` is specified on the command line.

```yaml $(tag) == 'package-2021-10-01'
input-file:
- Microsoft.Kubernetes/stable/2021-10-01/connectedClusters.json
```
---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

```yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-ruby
  - repo: azure-sdk-for-net
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_hybridkubernetes']
  - repo: azure-resource-manager-schemas
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## Ruby

See configuration in [readme.ruby.md](./readme.ruby.md)

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)

## Java

See configuration in [readme.java.md](./readme.java.md)



