# PowerBIDedicated

> see https://aka.ms/autorest

This is the AutoRest configuration file for PowerBIDedicated.



---
## Getting Started
To build the SDK for PowerBIDedicated, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the PowerBIDedicated API.

``` yaml
openapi-type: arm
tag: package-2021-01-01
```


### Tag: package-2021-01-01

These settings apply only when `--tag=package-2021-01-01` is specified on the command line.

``` yaml $(tag) == 'package-2021-01-01'
input-file:
- Microsoft.PowerBIdedicated/stable/2021-01-01/powerbidedicated.json
- Microsoft.PowerBIdedicated/stable/2021-01-01/autoScaleVCores.json
```

### Tag: package-2017-10-01

These settings apply only when `--tag=package-2017-10-01` is specified on the command line.

``` yaml $(tag) == 'package-2017-10-01'
input-file:
- Microsoft.PowerBIdedicated/stable/2017-10-01/powerbidedicated.json
```

---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-python-track2
  - repo: azure-resource-manager-schemas
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.PowerBIDedicated
  output-folder: $(csharp-sdks-folder)/powerbidedicated/Microsoft.Azure.Management.PowerBIDedicated/src/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.powerbidedicated
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-powerbidedicated
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2017-10-01
  - tag: package-2021-01-01
```

### Tag: package-2017-10-01 and java

These settings apply only when `--tag=package-2017-10-01 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-10-01' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.powerbidedicated.v2017_10_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/powerbidedicated/mgmt-v2017_10_01
regenerate-manager: true
generate-interface: true
```

### Tag: package-2021-01-01 and java

These settings apply only when `--tag=package-2021-01-01 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2021-01-01' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.powerbidedicated.v2020_12_28
  output-folder: $(azure-libraries-for-java-folder)/sdk/powerbidedicated/mgmt-v2020_12_28
regenerate-manager: true
generate-interface: true
```

## Python

See configuration in [readme.python.md](./readme.python.md)





