# StorageCache

> see https://aka.ms/autorest

This is the AutoRest configuration file for storagecache RP.

---

## Getting Started

To build the SDK for storagecache, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

### Basic Information

These are the global settings for the StorageCache API.

``` yaml
openapi-type: arm
tag: package-2021-09
add-credentials: true
title: StorageCacheManagementClient
```


### Tag: package-2021-09

These settings apply only when `--tag=package-2021-09` is specified on the command line.

```yaml $(tag) == 'package-2021-09'
input-file:
  - Microsoft.StorageCache/stable/2021-09-01/storagecache.json
```
### Tag: package-2021-05

These settings apply only when `--tag=package-2021-05` is specified on the command line.

``` yaml $(tag) == 'package-2021-05'
input-file:
  - Microsoft.StorageCache/stable/2021-05-01/storagecache.json
```

### Tag: package-2021-03

These settings apply only when `--tag=package-2021-03` is specified on the command line.

``` yaml $(tag) == 'package-2021-03'
input-file:
  - Microsoft.StorageCache/stable/2021-03-01/storagecache.json
```

### Tag: package-2020-10-01

These settings apply only when `--tag=package-2020-10` is specified on the command line.

``` yaml $(tag) == 'package-2020-10-01'
input-file:
  - Microsoft.StorageCache/stable/2020-10-01/storagecache.json
```

### Tag: package-2020-03-01

These settings apply only when `--tag=package-2020-03-01` is specified on the command line.

``` yaml $(tag) == 'package-2020-03-01'
input-file:
  - Microsoft.StorageCache/stable/2020-03-01/storagecache.json
```

### Tag: package-2019-11-01

These settings apply only when `--tag=package-2019-11-01` is specified on the command line.

``` yaml $(tag) == 'package-2019-11-01'
input-file:
- Microsoft.StorageCache/stable/2019-11-01/storagecache.json
```

### Tag: package-2019-08

These settings apply only when `--tag=package-2019-08` is specified on the command line.

``` yaml $(tag) == 'package-2019-08'
input-file:
- Microsoft.StorageCache/preview/2019-08-01-preview/storagecache.json
```

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_storagecache']
  - repo: azure-cli-extensions
  - repo: azure-resource-manager-schemas
```

## Python

See configuration in [readme.python.md](./readme.python.md)

## C#

See configuration in [readme.csharp.md](./readme.csharp.md)

## Java

See configuration in [readme.java.md](./readme.java.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## Ruby

See configuration in [readme.ruby.md](./readme.ruby.md)
