# StorageSync

> see https://aka.ms/autorest

This is the AutoRest configuration file for StorageSync.

---

## Getting Started

To build the SDK for Storage, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

### Basic Information

These are the global settings for the Storage Sync API.

``` yaml
openapi-type: arm
tag: package-2020-09-01
```


### Tag: package-2020-09-01

These settings apply only when `--tag=package-2020-09-01` is specified on the command line.

```yaml $(tag) == 'package-2020-09-01'
input-file:
  - Microsoft.StorageSync/stable/2020-09-01/storagesync.json
```
### Tag: package-2020-03-01

These settings apply only when `--tag=package-2020-03-01` is specified on the command line.

``` yaml $(tag) == 'package-2020-03-01'
input-file:
  - Microsoft.StorageSync/stable/2020-03-01/storagesync.json
```

### Tag: package-2019-10-01

These settings apply only when `--tag=package-2019-10-01` is specified on the command line.

``` yaml $(tag) == 'package-2019-10-01'
input-file:
  - Microsoft.StorageSync/stable/2019-10-01/storagesync.json
```

### Tag: package-2019-06-01

These settings apply only when `--tag=package-2019-06-01` is specified on the command line.

``` yaml $(tag) == 'package-2019-06-01'
input-file:
  - Microsoft.StorageSync/stable/2019-06-01/storagesync.json
```

### Tag: package-2019-03-01

These settings apply only when `--tag=package-2019-03-01` is specified on the command line.

``` yaml $(tag) == 'package-2019-03-01'
input-file:
  - Microsoft.StorageSync/stable/2019-03-01/storagesync.json
```

### Tag: package-2019-02-01

These settings apply only when `--tag=package-2019-02-01` is specified on the command line.

``` yaml $(tag) == 'package-2019-02-01'
input-file:
  - Microsoft.StorageSync/stable/2019-02-01/storagesync.json
```

### Tag: package-2018-10-01

These settings apply only when `--tag=package-2018-07-01` is specified on the command line.

``` yaml $(tag) == 'package-2018-10-01'
input-file:
- Microsoft.StorageSync/stable/2018-10-01/storagesync.json
```

### Tag: package-2018-07-01

These settings apply only when `--tag=package-2018-07-01` is specified on the command line.

``` yaml $(tag) == 'package-2018-07-01'
input-file:
- Microsoft.StorageSync/stable/2018-07-01/storagesync.json
```

### Tag: package-2018-04-02

These settings apply only when `--tag=package-2018-04-02` is specified on the command line.

``` yaml $(tag) == 'package-2018-04-02'
input-file:
- Microsoft.StorageSync/stable/2018-04-02/storagesync.json
```

### Tag: package-2017-06-05-preview

These settings apply only when `--tag=package-2017-06-05-preview` is specified on the command line.

``` yaml $(tag) == 'package-2017-06-05-preview'
input-file:
- Microsoft.StorageSync/preview/2017-06-05-preview/storagesync.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-cli-extensions
  - repo: azure-resource-manager-schemas
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.StorageSync
  payload-flattening-threshold: 1
  output-folder: $(csharp-sdks-folder)/storagesync/Microsoft.Azure.Management.StorageSync/src/Generated
  clear-output-folder: true
```

## Python

See configuration in [readme.python.md](./readme.python.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

See configuration in [readme.java.md](./readme.java.md)



